Update parent's credit line

Updates the total credit line of a parent balance, affecting the amount of credit available for allocation to child balances.

Increasing the credit line makes additional credit available, while decreasing it is only allowed if the new amount is not lower than the credit already allocated to existing children.

The parent’s available credit is recalculated accordingly. The parent_id parameter refers to the external UUID of the parent balance.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 32

The parent’s unique identifier

Body Params
integer
required

The new credit line in Mexican cents

Headers
string
required

OAuth token belonging to the e-commerce

Responses

{
  "text": "Success",
  "timestamp": "2025-10-01T11:59:03.867364356-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/66acce83856147e791206ca90a6e4b6d/update-credit-line",
  "error": {},
  "payload": {
    "parent": {
      "available_credit": 2850000,
      "credit_limit": 3000000
    }
  }
}

{
  "timestamp": "2025-10-01T12:00:36.408078497-06:00",
  "endpoint": "/wallet/v1/composite-balance/parent/66acce83856147e791206ca90a6e4b6e/update-credit-line",
  "error": {
    "code": 5000,
    "text": "Validation Error",
    "hints": [
      "Validations for the request failed, please check the parameters and try again",
      "incorrect parent_id"
    ]
  }
}

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json